
#ifndef CLASS005_HPP
#define CLASS005_HPP
class Appointment_request
	{
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Scheduling" */
	/*design in subject "STW_C10_Inter_enterprise" */
	/*design assoc Service_request with Service_request <"requests (0,m)", "is_requested_by (1,1)">
:/%Description%/
/%hxID%/4903

*/

	/*design comment 
:/%Description%/A request for the booking of an appointment.

Rationale: Separates an appointment from a request for an appointment.

OpenIssue: 
/%hxID%/4719
/%PrimarySubjectArea%/RIM_Scheduling
*/
public:
private:
	/*design comment appointment_rqst_reason_cd 
:/%Description%/The reason that the appointment is to take place.  Examples are: ROUTINE, WALKIN, CHECKUP, FOLLOWUP, EMERGENCY.

Rationale: Currently in 2.3

OpenIssue: It appears that this att has the potential to be used for two types of codes that should be mutually exclusive (local site specific code, and the other is a service code) combining an administrative reason with the thing to be performed
/%hxID%/4757
/%HL7v23Field%/00866
*/
	int appointment_rqst_reason_cd;
	/*design comment appointment_rqst_type_cd 
:/%Description%/The type of appointment request.  Examples are: NORMAL, TENTATIVE, COMPLETE.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4758
/%HL7v23Field%/00867
*/
	int appointment_rqst_type_cd;
	/*design comment equip_selection_criteria_pv 
:/%Description%/Parameters and preferences regarding the selection of an appropriate resource for an appointment.  The first component of this field is a code identifying the parameter or preference and the second component is the actual data value for that parameter.

Rationale: Currently in 2.3

OpenIssue: Proposed data type that accommodates parameter, value pairs where the pairs are drawn from a user defined table.
/%hxID%/4759
/%HL7v23Field%/00909
*/
	int equip_selection_criteria_pv;
	/*design comment id 
:/%Description%/Unique identifier for an appointment request.

Rationale: Separates appointment from its request.

OpenIssue: 
/%hxID%/4760
/%HL7v23Field%/00860
*/
	int id;
	/*design comment location_selection_criteria_pv 
:/%Description%/Parameters and preferences regarding the selection of an appropriate location for the appointment.

Rationale: Currently in 2.3

OpenIssue: Proposed data type that accommodates parameter, value pairs where the pairs are drawn from a user defined table.
/%hxID%/4761
/%HL7v23Field%/00910
*/
	int location_selection_criteria_pv;
	/*design comment occurance_id 
:/%Description%/Uniquely identifies an individual occurrence (a child) of a parent repeating schedule appointment.

Rationale: Currently in 2.3

OpenIssue: Probably do ot need this class, could make a recursive relationship on Appointment_request
/%Datatype%/EI
/%hxID%/4762
/%HL7v23Field%/00862
*/
	int occurance_id;
	/*design comment priority_cd 
:/%Description%/The urgency of the request.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4763
/%HL7v23Field%/00871
*/
	int priority_cd;
	/*design comment repeating_interval_duration_qty 
:/%Description%/How long the appointment repetitions should continue, once they have begun.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4764
/%HL7v23Field%/00873
*/
	int repeating_interval_duration_qty;
	/*design comment requested_ri 
:/%Description%/The interval between repeating appointments.

Rationale: Currently in 2.3

OpenIssue: May require a new data type or attribute group.  Talk to CQ about the need for a repeating interval datatype
/%hxID%/4765
/%HL7v23Field%/00872
*/
	int requested_ri;
	/*design comment rqst_event_reason_cd 
:/%Description%/A code describing the cancel reason, the delete reason, the discontinue reason, the add reason, or any other code describing the reason for a specific request event.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4766
/%HL7v23Field%/00865
*/
	int rqst_event_reason_cd;
	/*design comment rqsted_duration_qty 
:/%Description%/The amount of time being requested for the appointment.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4767
/%HL7v23Field%/00868
*/
	int rqsted_duration_qty;
	/*design comment start_dr 
:/%Description%/The date and time that the appointment is requested to begin in the form of a date/time range.

Rationale: Currently in 2.3

OpenIssue: Proposed new attribute type not currently supported.  Needs to be proposed to CQ for the DT/AT work.
/%hxID%/4768
/%HL7v23Field%/00870
*/
	int start_dr;
	/*design comment time_selection_criteria_pv 
:/%Description%/Parameters and preferences regarding the selection of an appropriate time slot for an appointment.

Rationale: Currently in 2.3

OpenIssue: Proposed data type that accommodates parameter, value pairs where the pairs are drawn from a user defined table.
Needs new attribute type mapping to DT:PV
/%hxID%/4769
/%HL7v23Field%/00908
*/
	int time_selection_criteria_pv;
	};

#endif
