
#ifndef CLASS013_HPP
#define CLASS013_HPP
class Clinical_observation
	{
	/*design in subject "COI_C09_Medical_records" */
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Clinical_observation_provider with Clinical_observation_provider <"has_as_participant (1,M)", "is_participant_for (1,1)">
:/%Description%/
/%hxID%/1064

*/
	/*design assoc Master_observation_service with Master_observation_service <"is_an_observation_of (1,1)", "is_observed_by (0,M)">
:/%Description%/
/%hxID%/3251

*/
	/*design assoc Patient_service_order with Patient_service_order <"is_parent_of (0,M)", "has_as_parent_result (0,1)">
:/%Description%/

Rationale: to support concept of Parent Result in OBR

OpenIssue: 
/%hxID%/3252

*/

	/*design comment 
:/%Description%/The information or record secured by an act or instance of viewing or noting a fact or occurrence for some health related purpose.
/%hxID%/51
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment abnormal_result_ind 
:/%Description%/An indication that the observation results are abnormal.
/%hxID%/222
*/
	int abnormal_result_ind;
	/*design comment clinical_observation_id 
:/%Description%/Unique identifier for a clinical observation on a specific patient. 

Rationale: primary key.  Needed for establishing relationships to other classes.

OpenIssue: 
/%hxID%/2936
*/
	int clinical_observation_id;
	/*design comment last_observed_normal_values_dttm 
:/%Description%/This field contains the date and time of changes in the observation methods that would make values obtained from the old method not comparable with those obtained from the new method.

Rationale: alignment with V2.3	

OpenIssue: This is being returned to committee to be reworked to remove the inconsistency between the name and the definition.
/%Datatype%/TS
/%hxID%/2937
/%HL7v23Field%/00580
*/
	int last_observed_normal_values_dttm;
	/*design comment nature_of_abnormal_testing_cd 
:/%Description%/Indicates the type of control population against which the observation was tested for abnormalcy.  control population might be age based, sex based, race based, or a generic normal range.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/2938
/%HL7v23Field%/00578
*/
	int nature_of_abnormal_testing_cd;
	/*design comment observation_begin_dttm 
:/%Description%/This field is the clinically relevant begin date/time of the observation.  In the case of observations taken directly from a subject, it is the actual date and time the observation was obtained.  In the case of a specimen-associated study, this field shall represent the date and time the specimen was collected or obtained.

Rationale: This is the definition that has been developed by the committee and balloted.  This is the field that is wanted in the message, not separate fields for the specimen collection time and the time of the observation.  Often, an interim time is chosen as "clinically relevant".  There would be too much overhead in maintaining separate fields for all the possible interim times.
/%Datatype%/TS
/%hxID%/2939
/%HL7v23Field%/00582
*/
	int observation_begin_dttm;
	/*design comment observation_end_dttm 
:/%Description%/This field is the clinically relevant end date/time of the observation.  In the case of observations taken directly from a subject, it is the actual date and time the observation was obtained.  In the case of a specimen-associated study, this field shall represent the date and time the specimen was collected or obtained.

Rationale: This is the definition that has been developed by the committee and balloted.  This is the field that is wanted in the message, not separate fields for the specimen collection time and the time of the observation.  Often, an interim time is chosen as "clinically relevant".  There would be too much overhead in maintaining separate fields for all the possible interim times.
/%Datatype%/TS
/%hxID%/2940
/%HL7v23Field%/00582
*/
	int observation_end_dttm;
	/*design comment observation_method_cd 
:/%Description%/A code indicating the method employed in conducting the observation.
/%hxID%/231
*/
	int observation_method_cd;
	/*design comment observation_status_cd 
:/%Description%/The status of the clinical result of the observation.
/%Datatype%/ID
/%hxID%/232
/%HL7v23Field%/00258, 00579
*/
	int observation_status_cd;
	/*design comment observation_status_dttm 
:/%Description%/The effective date and time of the clinical result.
/%hxID%/233
*/
	int observation_status_dttm;
	/*design comment observation_sub_id 
:/%Description%/A sub-group identifier for the observation used to group related observations.
/%Datatype%/ST
/%hxID%/2941
/%HL7v23Field%/00581
*/
	int observation_sub_id;
	/*design comment observation_value_txt 
:/%Description%/Observation value.
/%Datatype%/Varies
/%hxID%/235
/%HL7v23Field%/00573
*/
	int observation_value_txt;
	/*design comment probability_number 
:/%Description%/The degree of certainty in the clinical observation expressed as a percentage.

Rationale: closer to language used in V2.3
/%Datatype%/NM
/%hxID%/2942
/%HL7v23Field%/00577
*/
	int probability_number;
	/*design comment references_range_text 
:/%Description%/)OR b)     > lower limit          (if no upper limit, e.g., >10)
a)     lower limit-upper limit     (when both lower and upper limits are defined, e.g., for potassium 3.5 - 4.5)
OR c)     < upper limit          (if no lower limit, e.g., <15FOR ALPHABETIC VALUES: the normal value may be reported in this location
When the observation quantifies the amount of a toxic substance, then the upper limit of the range identifies the toxic limit.  If the observation quantifies a drug, the lower limits identify the lower therapeutic bounds and the upper limits represent the upper therapeutic bounds above which toxic side effects are common.FOR NUMERIC VALUES

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/2943
/%HL7v23Field%/00575
*/
	int references_range_text;
	/*design comment universal_service_identifier_suffix_txt 
:/%Description%/Indicates that the observation is a specific one of the standard narrative report components for the Universal_service_identifier. Examples: Diagnostic Impression (IMP), Gross or General Description (GDT).

Rationale: previously unmatched V2.3 field component

OpenIssue: 
/%Datatype%/CE
/%hxID%/2944
/%HL7v23Field%/00571
*/
	int universal_service_identifier_suffix_txt;
	/*design comment user_defined_access_check_txt 
:/%Description%/Results-dependent codes for classifying the observation at the receiving system.

Rationale: V2.3 definition specifies that these are code

OpenIssue: Note that this is being returned to committee to be fixed.
/%Datatype%/ST
/%hxID%/2945
/%HL7v23Field%/00581
*/
	int user_defined_access_check_txt;
	/*design comment value_type_cd 
:/%Description%/A qualifier of the observation value.
/%Datatype%/ID
/%hxID%/2946
/%HL7v23Field%/00570
*/
	int value_type_cd;
	/*design comment value_units_code 
:/%Description%/Unit of measure in which the observation value is reported.  When an observations value is measured on a continuous scale, one must report the measurement units within the units field of the OBX segment.  Units have a data type of CE.  ISO+ abbr.

Rationale: RT: previously unmatched V2.3 field, see recommendation R037

OpenIssue: 
/%Datatype%/CE
/%hxID%/2947
/%HL7v23Field%/00574
*/
	int value_units_code;
	};

#endif
