
#ifndef CLASS030_HPP
#define CLASS030_HPP
class Financial_transaction
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "RIM_Patient_billing_account" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"is_associated_with (0,1)", "is_associated_with (0,M)">
:/%Description%/
/%hxID%/1084

*/
	/*design assoc Patient_billing_account with Patient_billing_account <"is_associated_with (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1085

*/
	/*design assoc Person with Person <"is_entered_by (1,1)", "enters (0,M)">
:/%Description%/
/%hxID%/1086

*/

	/*design comment 
:/%Description%/A charge, credit, or adjustment to charges in a patient's billing account.
/%hxID%/81
/%PrimarySubjectArea%/RIM_Patient_billing_account
*/
public:
private:
	/*design comment alternate_desc 
:/%Description%/An alternate description of the transaction.
/%Datatype%/ST
/%hxID%/357
/%HL7v23Field%/00363
*/
	int alternate_desc;
	/*design comment assigned_patient_location_cd 
:/%Description%/A code depicted the location type used for billing.
/%Datatype%/PL
/%hxID%/358
/%HL7v23Field%/00133
*/
	int assigned_patient_location_cd;
	/*design comment desc 
:/%Description%/Explanatory text concerning a financial transaction.
/%Datatype%/ST
/%hxID%/359
/%HL7v23Field%/00362
*/
	int desc;
	/*design comment extended_amt 
:/%Description%/The transaction amount derived from multiplying the unit amount by the number of units.
/%Datatype%/CP
/%hxID%/360
/%HL7v23Field%/00365
*/
	int extended_amt;
	/*design comment fee_schedule_cd 
:/%Description%/A code depicting the fee schedule used for this financial transaction.
/%Datatype%/IS
/%hxID%/361
/%HL7v23Field%/00370
*/
	int fee_schedule_cd;
	/*design comment insurance_amt 
:/%Description%/The amount of the financial transaction that is applicable to the associated Healthcare benefit plan.
/%Datatype%/CP
/%hxID%/362
/%HL7v23Field%/00369
*/
	int insurance_amt;
	/*design comment posting_dt 
:/%Description%/The posting date of the financial transaction.
/%Datatype%/TS
/%hxID%/363
/%HL7v23Field%/00359
*/
	int posting_dt;
	/*design comment qty 
:/%Description%/transaction quantity.
/%Datatype%/NM
/%hxID%/364
/%HL7v23Field%/00364
*/
	int qty;
	/*design comment transaction_batch_id 
:/%Description%/A unique identifier assigned to the batch in which this transaction belongs.
/%Datatype%/ST
/%hxID%/365
/%HL7v23Field%/00357
*/
	int transaction_batch_id;
	/*design comment transaction_cd 
:/%Description%/A code depicting the financial action covered in the transaction.
/%Datatype%/CE
/%hxID%/366
/%HL7v23Field%/00361
*/
	int transaction_cd;
	/*design comment transaction_dt 
:/%Description%/The date of the transaction.
/%Datatype%/TS
/%hxID%/367
/%HL7v23Field%/00358
*/
	int transaction_dt;
	/*design comment transaction_id 
:/%Description%/A identifier assigned to the transaction for control purposes.
/%Datatype%/ST
/%hxID%/368
/%HL7v23Field%/00356, 00564
*/
	int transaction_id;
	/*design comment transaction_type_cd 
:/%Description%/A code depicting the transaction type (e.g., credit, charge, payment, adjustment, ...).
/%Datatype%/IS
/%hxID%/369
/%HL7v23Field%/00360
*/
	int transaction_type_cd;
	/*design comment unit_amt 
:/%Description%/The amount associated with one transaction unit.
/%Datatype%/CP
/%hxID%/370
/%HL7v23Field%/00366
*/
	int unit_amt;
	/*design comment unit_cost_amt 
:/%Description%/The unit price of transaction. The cost of a single item.
/%Datatype%/CP
/%hxID%/371
/%HL7v23Field%/00374
*/
	int unit_cost_amt;
	};

#endif
