
#ifndef CLASS031_HPP
#define CLASS031_HPP
class Goal
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Patient_clinical_pathway" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */
	/*design assoc Master_goal with Master_goal <"is_an_instance_of (1,1)", "is_instanciated_by (0,M)">
:/%Description%/
/%hxID%/4915

*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/4916

*/

	/*design comment 
:/%Description%/A pathway goal specific to a particular patient.
/%hxID%/4727
/%PrimarySubjectArea%/RIM_Patient_clinical_pathway
*/
public:
private:
	/*design comment action_cd 
:/%Description%/Event code for why the object is included.

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4794
/%HL7v23Field%/00816
*/
	int action_cd;
	/*design comment action_dttm 
:/%Description%/Event date time

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4795
/%HL7v23Field%/00817
*/
	int action_dttm;
	/*design comment classification_cd 
:/%Description%/A code used to categorize patient pathway goals.
/%hxID%/4796
*/
	int classification_cd;
	/*design comment current_review_status_cd 
:/%Description%/A code depicting the review status of the patient pathway goal.
/%hxID%/4797
*/
	int current_review_status_cd;
	/*design comment current_review_status_dttm 
:/%Description%/The date/time of the most recent review of the patient pathway goal.
/%hxID%/4798
*/
	int current_review_status_dttm;
	/*design comment episode_of_care_id 
:/%Description%/Episode of Care

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4799
*/
	int episode_of_care_id;
	/*design comment established_dttm 
:/%Description%/The date/time the patient goal is initially created.
/%hxID%/4800
*/
	int established_dttm;
	/*design comment evaluation_cd 
:/%Description%/A code depicting the progress towards achievement of the goal (e.g., achieved, ahead of schedule, delayed, failed to achieve, . . .).
/%hxID%/4801
*/
	int evaluation_cd;
	/*design comment evaluation_comment_txt 
:/%Description%/Comment text associated with the goal evaluation.
/%hxID%/4802
*/
	int evaluation_comment_txt;
	/*design comment expected_achievement_dttm 
:/%Description%/Date goal is expected to be achieved

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4803
*/
	int expected_achievement_dttm;
	/*design comment goal_list_priority_num 
:/%Description%/Priority of the goal within the scope of the entire goal list.

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4804
/%HL7v23Field%/00821
*/
	int goal_list_priority_num;
	/*design comment instance_id 
:/%Description%/A unique identifier assigned to the patient pathway goal.
/%hxID%/4805
*/
	int instance_id;
	/*design comment life_cycle_dttm 
:/%Description%/The effective date/time of the most recently assigned goal life cycle.
/%hxID%/4806
*/
	int life_cycle_dttm;
	/*design comment life_cycle_status_cd 
:/%Description%/A code indicating the state of the goal (e.g., active, canceled, inactive, suspended, . . .).
/%hxID%/4807
*/
	int life_cycle_status_cd;
	/*design comment management_discipline_cd 
:/%Description%/A code indicating the caregiver disciplines responsible for managing a patient pathway goal.
/%hxID%/4808
*/
	int management_discipline_cd;
	/*design comment next_review_dttm 
:/%Description%/The date/time of the next scheduled goal review.
/%hxID%/4809
*/
	int next_review_dttm;
	/*design comment previous_review_dttm 
:/%Description%/The second most recent date/time the goal was reviewed.
/%hxID%/4810
*/
	int previous_review_dttm;
	/*design comment review_interval_cd 
:/%Description%/A code indication the review interval for the patient pathway goal.
/%hxID%/4811
*/
	int review_interval_cd;
	/*design comment target_txt 
:/%Description%/Text description of who/what the goal target is.

Rationale: Conformance with v 2.3

OpenIssue: 
/%hxID%/4812
*/
	int target_txt;
	/*design comment target_type_cd 
:/%Description%/A code used to identify the individual or group for whom the goal has been established for the benefit of a particular patient (e.g., family group, family member, patient, . . .).
/%hxID%/4813
*/
	int target_type_cd;
	};

#endif
