
#ifndef CLASS053_HPP
#define CLASS053_HPP
#include "Class057.hpp"
class Master_calculated_observation: public Master_observation_service
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Observation_service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/A test/observation service for which continuous value results are generated.
/%hxID%/2918
/%PrimarySubjectArea%/RIM_Observation_service_catalog_item
*/
public:
private:
	/*design comment absolute_range_numeric_condition_desc 
:/%Description%/Specifies the special conditions for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field
/%Datatype%/CM
/%hxID%/2983
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_condition_desc;
	/*design comment absolute_range_numeric_high_age_amt 
:/%Description%/Specifies the upper age limit for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2984
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_high_age_amt;
	/*design comment absolute_range_numeric_high_gestation_age_amt 
:/%Description%/Specifies the upper limit of gestational age for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2985
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_high_gestation_age_amt;
	/*design comment absolute_range_numeric_high_value_nm 
:/%Description%/Specifies the upper limit for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2986
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_high_value_nm;
	/*design comment absolute_range_numeric_low_age_amt 
:/%Description%/Specifies the lower age limit for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2987
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_low_age_amt;
	/*design comment absolute_range_numeric_low_gestation_age_amt 
:/%Description%/Specifies the lower limit of gestational age for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2988
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_low_gestation_age_amt;
	/*design comment absolute_range_numeric_low_value_nm 
:/%Description%/Specifies the lower limit for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2989
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_low_value_nm;
	/*design comment absolute_range_numeric_race_subspecies_txt 
:/%Description%/Specifies the race or sub-species for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2990
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_race_subspecies_txt;
	/*design comment absolute_range_numeric_sex_txt 
:/%Description%/Specifies the gender for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2991
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_sex_txt;
	/*design comment absolute_range_numeric_species_txt 
:/%Description%/Specifies the species for an absolute range (range of possible results) for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.   Results outside this range are not possible. 

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2992
/%HL7v23Field%/00633
*/
	int absolute_range_numeric_species_txt;
	/*design comment corresponding_SI_unit_of_measure_cd 
:/%Description%/The SI units of measure, when these differ from the customary units of measure

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/2993
/%HL7v23Field%/00629
*/
	int corresponding_SI_unit_of_measure_cd;
	/*design comment critical_range_numeric_condition_desc 
:/%Description%/Specifies the special conditions for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2994
/%HL7v23Field%/00632
*/
	int critical_range_numeric_condition_desc;
	/*design comment critical_range_numeric_high_age_amt 
:/%Description%/Specifies the upper age limit for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2995
/%HL7v23Field%/00632
*/
	int critical_range_numeric_high_age_amt;
	/*design comment critical_range_numeric_high_gestation_age_amt 
:/%Description%/Specifies the upper limit of gestational age for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2996
/%HL7v23Field%/00632
*/
	int critical_range_numeric_high_gestation_age_amt;
	/*design comment critical_range_numeric_high_value_nm 
:/%Description%/Specifies the upper limit for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2997
/%HL7v23Field%/00632
*/
	int critical_range_numeric_high_value_nm;
	/*design comment critical_range_numeric_low_age_amt 
:/%Description%/Specifies the lower age limit for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2998
/%HL7v23Field%/00632
*/
	int critical_range_numeric_low_age_amt;
	/*design comment critical_range_numeric_low_gestation_age_amt 
:/%Description%/Specifies the lower limit of gestational age for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2999
/%HL7v23Field%/00632
*/
	int critical_range_numeric_low_gestation_age_amt;
	/*design comment critical_range_numeric_low_value_nm 
:/%Description%/Specifies the lower limit for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3000
/%HL7v23Field%/00632
*/
	int critical_range_numeric_low_value_nm;
	/*design comment critical_range_numeric_race_subspecies_txt 
:/%Description%/Specifies the race or sub-species for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3001
/%HL7v23Field%/00632
*/
	int critical_range_numeric_race_subspecies_txt;
	/*design comment critical_range_numeric_sex_txt 
:/%Description%/Specifies the gender for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3002
/%HL7v23Field%/00632
*/
	int critical_range_numeric_sex_txt;
	/*design comment critical_range_numeric_species_txt 
:/%Description%/Specifies the species for a critical range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3003
/%HL7v23Field%/00632
*/
	int critical_range_numeric_species_txt;
	/*design comment customary_unit_of_measure 
:/%Description%/The customary units of measure for a tests/observation that has numeric values 

Rationale: V2.3 field is not part of an amount/UOM combination. 

OpenIssue: 
/%Datatype%/CE
/%hxID%/3004
/%HL7v23Field%/00627
*/
	int customary_unit_of_measure;
	/*design comment delta_check_numeric_change_computation_method_txt 
:/%Description%/Specifies the computational method for change determination for controlling delta check warnings for numeric data.  More than one delta check rule can apply.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3005
/%HL7v23Field%/00634
*/
	int delta_check_numeric_change_computation_method_txt;
	/*design comment delta_check_numeric_change_threshold_nm 
:/%Description%/Specifies the change threshold information for controlling delta check warnings for numeric data.  More than one delta check rule can apply

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3006
/%HL7v23Field%/00634
*/
	int delta_check_numeric_change_threshold_nm;
	/*design comment delta_check_numeric_high_value_nm 
:/%Description%/Specifies the high value information for controlling delta check warnings for numeric data.  More than one delta check rule can apply.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3007
/%HL7v23Field%/00634
*/
	int delta_check_numeric_high_value_nm;
	/*design comment delta_check_numeric_low_value_nm 
:/%Description%/Specifies the low value information for controlling delta check warnings.  More than one delta check rule can apply.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3008
/%HL7v23Field%/00634
*/
	int delta_check_numeric_low_value_nm;
	/*design comment delta_check_numeric_retention_days_qty 
:/%Description%/Specifies the retention time information for controlling delta check warnings for numeric data.  More than one delta check rule can apply.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3009
/%HL7v23Field%/00634
*/
	int delta_check_numeric_retention_days_qty;
	/*design comment length_and_decimal_precision_nm 
:/%Description%/A specification of the total length and the number of decimal positions for numerically valued single observations.

Rationale: related V2.3 field is a number, not an amount
/%Datatype%/NM
/%hxID%/3010
/%HL7v23Field%/00628
*/
	int length_and_decimal_precision_nm;
	/*design comment minimum_meaningful_increment_nm 
:/%Description%/The smallest meaningful difference between reported values; the effective resolution of the measuring instrument or technique for continuous data, or the smallest discrete interval that can occur for discrete data.

Rationale: this is a pure number.  the units are the same as for the reported values.  they are not respecified here.
/%Datatype%/NM
/%hxID%/3011
/%HL7v23Field%/00635
*/
	int minimum_meaningful_increment_nm;
	/*design comment reference_range_numeric_condition_desc 
:/%Description%/Specifies the special conditions for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3012
/%HL7v23Field%/00631
*/
	int reference_range_numeric_condition_desc;
	/*design comment reference_range_numeric_high_age_amt 
:/%Description%/Specifies the upper limit of age for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3013
/%HL7v23Field%/00631
*/
	int reference_range_numeric_high_age_amt;
	/*design comment reference_range_numeric_high_gestation_age_amt 
:/%Description%/Specifies the upper limit of the gestation age for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3014
/%HL7v23Field%/00631
*/
	int reference_range_numeric_high_gestation_age_amt;
	/*design comment reference_range_numeric_high_value_nm 
:/%Description%/Specifies the upper limit of the range for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3015
/%HL7v23Field%/00631
*/
	int reference_range_numeric_high_value_nm;
	/*design comment reference_range_numeric_low_age_amt 
:/%Description%/Specifies the lower limit of age for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3016
/%HL7v23Field%/00631
*/
	int reference_range_numeric_low_age_amt;
	/*design comment reference_range_numeric_low_gestation_age_amt 
:/%Description%/Specifies the lower limit of gestation age for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3017
/%HL7v23Field%/00631
*/
	int reference_range_numeric_low_gestation_age_amt;
	/*design comment reference_range_numeric_low_value_nm 
:/%Description%/Specifies the low value for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3018
/%HL7v23Field%/00631
*/
	int reference_range_numeric_low_value_nm;
	/*design comment reference_range_numeric_race_subspecies_txt 
:/%Description%/Specifies the race or sub-species for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3019
/%HL7v23Field%/00631
*/
	int reference_range_numeric_race_subspecies_txt;
	/*design comment reference_range_numeric_sex_txt 
:/%Description%/Specifies the gender for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3020
/%HL7v23Field%/00631
*/
	int reference_range_numeric_sex_txt;
	/*design comment reference_range_numeric_species_txt 
:/%Description%/Specifies the species for a reference (normal) range for "numeric" observations/tests . Each reference range applies to different categories of patients according to age, sex, race, and other conditions.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3021
/%HL7v23Field%/00631
*/
	int reference_range_numeric_species_txt;
	/*design comment si_conversion_factor_txt 
:/%Description%/A factor for converting customary units to SI units.  Can be specified as an equation or a multiplier.

Rationale: related V2.3 field  is TX datatype
/%Datatype%/TX
/%hxID%/3022
/%HL7v23Field%/00630
*/
	int si_conversion_factor_txt;
	};

#endif
