
#ifndef CLASS057_HPP
#define CLASS057_HPP
#include "Class060.hpp"
class Master_observation_service: public Master_service
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Observation_service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Master_observation_service with Master_observation_service <"is_basis_for (0,M)", "has_as_basis (0,M)">
:/%Description%/
/%hxID%/3258

*/
	/*design assoc Master_specimen_requirement with Master_specimen_requirement <"has (0,M)", "is_specified_for (1,1)">
:/%Description%/
/%hxID%/3257

*/

	/*design comment 
:/%Description%/A type of service catalog item specific to observation services.
/%hxID%/2921
/%PrimarySubjectArea%/RIM_Observation_service_catalog_item
*/
public:
private:
	/*design comment instrument_id 
:/%Description%/The unique identifier assigned to the type of instrument required for the observation service type.
/%Datatype%/CE
/%hxID%/3030
/%HL7v23Field%/00598
*/
	int instrument_id;
	/*design comment permitted_data_type_cd 
:/%Description%/A code depicting the permitted format of the observation value.
/%Datatype%/ID
/%hxID%/3031
/%HL7v23Field%/00588
*/
	int permitted_data_type_cd;
	/*design comment processing_time_qty 
:/%Description%/The usual length of time (in minutes) between the start of a test process and its completion.

Rationale: alignment of definition with V2.3.  the definition specifies unit of measure to be minutes.
/%Datatype%/NM
/%hxID%/3032
/%HL7v23Field%/00609
*/
	int processing_time_qty;
	/*design comment specimen_required_ind 
:/%Description%/An indication that a specimen is required for this observation service type.
/%Datatype%/ID
/%hxID%/3033
/%HL7v23Field%/00589
*/
	int specimen_required_ind;
	/*design comment typical_turnaround_time_qty 
:/%Description%/The typical processing time for a single test/observation.  This field indicates the time from the delivery of a specimen or transport of a patient to a diagnostic service and the completion of the study.  It includes the usual waiting time.  The units are measured in minutes.

Rationale: alignment of definition with V2.3.  the definition specifies unit of measure to be minutes.
/%Datatype%/NM
/%hxID%/3034
/%HL7v23Field%/00608
*/
	int typical_turnaround_time_qty;
	};

#endif
