
#ifndef CLASS061_HPP
#define CLASS061_HPP
class Master_specimen_requirement
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Observation_service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/A specification of specimen requirements for test/observation service catalog items which require a specimen.
/%hxID%/2924
/%PrimarySubjectArea%/RIM_Observation_service_catalog_item
*/
public:
private:
	/*design comment additive_cd 
:/%Description%/A code for the additive required for the collected specimen used in the associated observation service type.
/%Datatype%/CE
/%hxID%/3080
/%HL7v23Field%/00647
*/
	int additive_cd;
	/*design comment container_desc 
:/%Description%/A description of the container requirements for a specimen collected for the observation service type.  The description includes specification of the physical appearance, including color of tube tops, shape, and material composition (e.g., red top glass tube).
/%Datatype%/TX
/%hxID%/3081
/%HL7v23Field%/00643
*/
	int container_desc;
	/*design comment container_preparation_desc 
:/%Description%/The special processing that should be applied to the container (e.g., add acidifying tablets before sending).

Rationale: differentiates this from preparation of other specimen-related items (eg. the specimen itself).
/%Datatype%/TX
/%hxID%/3082
/%HL7v23Field%/00648
*/
	int container_preparation_desc;
	/*design comment container_volume_amt 
:/%Description%/A specification of the containers volume capacity.  
/%Datatype%/NM
/%hxID%/3083
/%HL7v23Field%/00644
*/
	int container_volume_amt;
	/*design comment derived_specimen_cd 
:/%Description%/A code identifying derived specimens relative to the observation service type.  For some diagnostic studies the initial specimen is processed to produce results.  The process also produces new "specimens" and these are studied by a second order process.
/%Datatype%/ID
/%hxID%/3084
/%HL7v23Field%/00642
*/
	int derived_specimen_cd;
	/*design comment minimum_collection_volume_amt 
:/%Description%/The amount of specimen needed by the most specimen sparing method.
/%Datatype%/CQ
/%hxID%/3085
/%HL7v23Field%/00651
*/
	int minimum_collection_volume_amt;
	/*design comment normal_collection_volume_amt 
:/%Description%/A specification of the normal specimen volume required.  This is the amount used by the normal methods and provides enough specimens to repeat the procedure at least once.
/%Datatype%/CQ
/%hxID%/3086
/%HL7v23Field%/00650
*/
	int normal_collection_volume_amt;
	/*design comment special_handling_desc 
:/%Description%/Special handling requirements for the collected specimen.
/%Datatype%/TX
/%hxID%/3087
/%HL7v23Field%/00649
*/
	int special_handling_desc;
	/*design comment specimen_priorities_cd 
:/%Description%/The allowed priorities for obtaining the specimen.  
/%Datatype%/ID
/%hxID%/3088
/%HL7v23Field%/00653
*/
	int specimen_priorities_cd;
	/*design comment specimen_retention_time_amt 
:/%Description%/The usual time that a specimen for this observation service type is retained after the observation is completed.
/%Datatype%/CQ
/%hxID%/3089
/%HL7v23Field%/00654
*/
	int specimen_retention_time_amt;
	/*design comment specimen_type_cd 
:/%Description%/A code identifying the specimen required by the observation service type.

Rationale: Clarity, or better representation of V2.3 element name
/%Datatype%/CE
/%hxID%/3090
/%HL7v23Field%/00646
*/
	int specimen_type_cd;
	};

#endif
