
#ifndef CLASS073_HPP
#define CLASS073_HPP
class Patient
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Patient_slot class Patient_slot <"is scheduled by (0,m)", "is a scheduleable unit for (1,1)">
:/%Description%/
/%hxID%/5061

*/
	/*design assoc Clinical_observation with Clinical_observation <"is_subject_of (0,M)", "is_on_behalf_of (0,1)">
:/%Description%/

Rationale: Some observations (eg. those forwarded from other institutions) may come from "Service events" of no interest to the recipient.  The requirement that each observation have a Service Event should therefore be removed from the model.

OpenIssue: 
/%hxID%/3269

*/
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"has (0,M)", "is_for (1,1)">
:/%Description%/
/%hxID%/1124

*/
	/*design assoc Individual_healthcare_practitioner with Individual_healthcare_practitioner <"has_a_primary_provider (0,1)", "is_the_primary_provider_for (0,M)">
:/%Description%/
/%hxID%/4931

*/
	/*design assoc Person with Person <"is_a_role_of (1,1)", "takes_on_role_of (0,1)">
:/%Description%/
/%hxID%/1126

*/
	/*design assoc Primary_care_provider_assignment with Primary_care_provider_assignment <"participates_in (0,1)", "has_as_care_recipient (1,1)">
:/%Description%/
/%hxID%/1127

*/

	/*design comment 
:/%Description%/A person who may receive, is receiving, or has received Healthcare services.
/%hxID%/111
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment ambulatory_status_cd 
:/%Description%/Condition of a patient. (e.g., pregnant, hearing impaired, . . .).
/%Datatype%/IS
/%hxID%/553
/%HL7v23Field%/00145
*/
	int ambulatory_status_cd;
	/*design comment birth_order_number 
:/%Description%/For newborn patients in a multiple birth the order this patient was born in.

Rationale: field is to contain the ordinal birth position, not a code for the position.  V2.3 field is datatype NM.
/%Datatype%/NM
/%hxID%/3102
/%HL7v23Field%/00128
*/
	int birth_order_number;
	/*design comment classification_cd 
:/%Description%/A classifying code for patients.
/%Datatype%/CM
/%hxID%/555
/%HL7v23Field%/00148, 00150
*/
	int classification_cd;
	/*design comment living_arrangement_cd 
:/%Description%/A code depicting the living arrangements of a person (e.g.,  Alone, Family, Relatives, Institution, . . .).
/%Datatype%/IS
/%hxID%/556
/%HL7v23Field%/00742
*/
	int living_arrangement_cd;
	/*design comment living_dependency_cd 
:/%Description%/A code depicting the nature of a dependency that may exist between one stakeholder and another.
/%Datatype%/IS
/%hxID%/557
/%HL7v23Field%/00755
*/
	int living_dependency_cd;
	/*design comment multiple_birth_ind 
:/%Description%/A indication as to whether the patient is part of a multiple birth.
/%Datatype%/ID
/%hxID%/558
/%HL7v23Field%/00127
*/
	int multiple_birth_ind;
	/*design comment newborn_baby_ind 
:/%Description%/A indication that the patient is a newborn baby.
/%Datatype%/ID
/%hxID%/559
/%HL7v23Field%/00737
*/
	int newborn_baby_ind;
	/*design comment organ_donor_ind 
:/%Description%/An indication that the patient is an organ donor.
/%Datatype%/IS
/%hxID%/560
/%HL7v23Field%/00760
*/
	int organ_donor_ind;
	/*design comment preferred_pharmacy_id 
:/%Description%/The preferred pharmacy of the patient.
/%hxID%/561
*/
	int preferred_pharmacy_id;
	/*design comment triage_classification_cd 
:/%Description%/The triage classification of the patient.
/%hxID%/562
*/
	int triage_classification_cd;
	};

#endif
