
#ifndef CLASS075_HPP
#define CLASS075_HPP
#include "Class078.hpp"
class Patient_allergy: public Patient_clinical_item
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/An abnormal reaction of a patient to an allergen.
/%hxID%/114
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment allergen_id 
:/%Description%/An identifier of the allergen which causes the allergic reaction.
/%Datatype%/CE
/%hxID%/576
/%HL7v23Field%/00203, 00205
*/
	int allergen_id;
	/*design comment allergy_cd 
:/%Description%/An identification code for the patient condition.
/%Datatype%/CE
/%hxID%/3103
/%HL7v23Field%/00205
*/
	int allergy_cd;
	/*design comment allergy_reaction_cd 
:/%Description%/A code specifying an allergic reaction.
/%Datatype%/ST
/%hxID%/577
/%HL7v23Field%/00207
*/
	int allergy_reaction_cd;
	/*design comment allergy_reaction_description_txt 
:/%Description%/Free form textual description of a patient medical condition.
/%Datatype%/ST
/%hxID%/3104
/%HL7v23Field%/00207
*/
	int allergy_reaction_description_txt;
	/*design comment allergy_severity_cd 
:/%Description%/A code indicating the general severity of the patient condition (e.g., severe, moderate, mild, . . .).
/%Datatype%/IS
/%hxID%/3105
/%HL7v23Field%/00206
*/
	int allergy_severity_cd;
	/*design comment allergy_type_cd 
:/%Description%/A code indicating the general allergy category (e.g., drug, food, pollen, . . .).
/%Datatype%/IS
/%hxID%/3106
/%HL7v23Field%/00204
*/
	int allergy_type_cd;
	};

#endif
