
#ifndef CLASS077_HPP
#define CLASS077_HPP
class Patient_billing_account
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "RIM_Patient_billing_account" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Guarantor_contract with Guarantor_contract <"has_payment_guaranteed_by (0,M)", "provides_payment_guarantee_for (0,M)">
:/%Description%/
/%hxID%/1131

*/
	/*design assoc Patient with Patient <"belongs_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1129

*/
	/*design assoc Patient_billing_account with Patient_billing_account <"is_the_prior_account_for (0,1)", "has_as_a_prior_account (0,1)">
:/%Description%/
/%hxID%/1132

*/
	/*design assoc Patient_service_event with Patient_service_event <"has_charges_for (0,M)", "is_charged_to (0,1)">
:/%Description%/
/%hxID%/1130

*/
	/*design assoc Patient_service_order with Patient_service_order <"is_billed_from (0,M)", "is_billed_to (0,1)">
:/%Description%/

Rationale: supports use of BLG segment in the ORM message

OpenIssue: Open issue: needs joint work with OO-PAFM
/%hxID%/3270

*/

	/*design comment 
:/%Description%/A financial account established for a patient to track the billable amount for services received by the patient and payment made for those services.
/%hxID%/116
/%PrimarySubjectArea%/RIM_Patient_billing_account
*/
public:
private:
	/*design comment account_id 
:/%Description%/The unique identifier of a patient account.
/%Datatype%/CK
/%hxID%/584
/%HL7v23Field%/00121, 00213, 00236
*/
	int account_id;
	/*design comment adjustment_cd 
:/%Description%/A code depicting the type of adjustment applied to the patient billing account.
/%Datatype%/IS
/%hxID%/585
/%HL7v23Field%/00731
*/
	int adjustment_cd;
	/*design comment authorization_information_txt 
:/%Description%/The authorization number or code received from the insurance company.
/%Datatype%/CM
/%hxID%/586
/%HL7v23Field%/00439
*/
	int authorization_information_txt;
	/*design comment billing_status_cd 
:/%Description%/A code indicating the status of billing.
/%Datatype%/IS
/%hxID%/587
/%HL7v23Field%/00171, 00457
*/
	int billing_status_cd;
	/*design comment certification_required_ind 
:/%Description%/A indicator as to whether a certification is required.
/%Datatype%/ID
/%hxID%/588
/%HL7v23Field%/00505
*/
	int certification_required_ind;
	/*design comment current_unpaid_balance_amt 
:/%Description%/The current unpaid balance of a patient account.
/%Datatype%/NM
/%hxID%/589
/%HL7v23Field%/00176
*/
	int current_unpaid_balance_amt;
	/*design comment delete_dt 
:/%Description%/The date the patient billing account was deleted.
/%Datatype%/DT
/%hxID%/590
/%HL7v23Field%/00165
*/
	int delete_dt;
	/*design comment deleted_account_reason_cd 
:/%Description%/A code depicting the reason a patient billing account has been deleted.
/%Datatype%/IS
/%hxID%/591
/%HL7v23Field%/00164
*/
	int deleted_account_reason_cd;
	/*design comment expected_insurance_plan_qty 
:/%Description%/A count of the number of insurance plans expected to provide insurance coverage for this patient account.
/%hxID%/592
*/
	int expected_insurance_plan_qty;
	/*design comment expected_payment_source_cd 
:/%Description%/A code indicating the expected payment source.
/%hxID%/593
*/
	int expected_payment_source_cd;
	/*design comment notice_of_admission_dt 
:/%Description%/The date a notice of admission was sent.
/%Datatype%/DT
/%hxID%/594
/%HL7v23Field%/00449
*/
	int notice_of_admission_dt;
	/*design comment notice_of_admission_ind 
:/%Description%/A indicator documenting whether the insurance company requires a written notice of admission.
/%Datatype%/ID
/%hxID%/595
/%HL7v23Field%/00448
*/
	int notice_of_admission_ind;
	/*design comment patient_financial_class_cd 
:/%Description%/A code depicting a category for the source of payment.
/%hxID%/596
*/
	int patient_financial_class_cd;
	/*design comment price_schedule_id 
:/%Description%/A reference to the unique identifier of the price schedule to be used for charges in the patient billing account.
/%Datatype%/IS
/%hxID%/597
/%HL7v23Field%/00151
*/
	int price_schedule_id;
	/*design comment purge_status_cd 
:/%Description%/A code depicting the purge status of the patient billing account.
/%Datatype%/IS
/%hxID%/598
/%HL7v23Field%/00717
*/
	int purge_status_cd;
	/*design comment purge_status_dt 
:/%Description%/The date the patient billing account was purged.
/%Datatype%/DT
/%hxID%/599
/%HL7v23Field%/00718
*/
	int purge_status_dt;
	/*design comment report_of_eligibility_dt 
:/%Description%/The date a report of eligibility was received.
/%hxID%/600
*/
	int report_of_eligibility_dt;
	/*design comment retention_ind 
:/%Description%/A indicator to control the purge of the patient billing account and related data.
/%hxID%/601
*/
	int retention_ind;
	/*design comment signature_on_file_dt 
:/%Description%/The date authorization to bill was obtained.
/%Datatype%/DT
/%hxID%/602
/%HL7v23Field%/00729
*/
	int signature_on_file_dt;
	/*design comment special_program_cd 
:/%Description%/A code indicating a special program governing the billing account.
/%Datatype%/IS
/%hxID%/603
/%HL7v23Field%/00719
*/
	int special_program_cd;
	/*design comment stoploss_limit_ind 
:/%Description%/A indicator identifying whether the patient has reached the stoploss limit established in the contract master.
/%Datatype%/ID
/%hxID%/604
/%HL7v23Field%/00808
*/
	int stoploss_limit_ind;
	/*design comment suspend_charges_ind 
:/%Description%/An indicator as to whether charges should be suspended for a patient.
/%Datatype%/ID
/%hxID%/605
/%HL7v23Field%/00806
*/
	int suspend_charges_ind;
	/*design comment total_adjustment_amt 
:/%Description%/The total amount of the adjustment made to the patient billing account.
/%Datatype%/NM
/%hxID%/606
/%HL7v23Field%/00178
*/
	int total_adjustment_amt;
	/*design comment total_charge_amt 
:/%Description%/The total charge amount of the patient billing account.
/%Datatype%/NM
/%hxID%/607
/%HL7v23Field%/00177
*/
	int total_charge_amt;
	/*design comment total_payment_amt 
:/%Description%/The total of the payments made on a patient billing account.
/%Datatype%/NM
/%hxID%/608
/%HL7v23Field%/00179
*/
	int total_payment_amt;
	};

#endif
