
#ifndef CLASS082_HPP
#define CLASS082_HPP
#include "Class078.hpp"
class Patient_diagnosis: public Patient_clinical_item
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C12_Patient_care" */

	/*design comment 
:/%Description%/The decision reached from the process of determining by examination the nature and circumstances of a diseased condition.
/%hxID%/122
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment attestation_dttm 
:/%Description%/The date and time the diagnosis physician attests to the validity of the diagnosis.
/%Datatype%/TS
/%hxID%/636
/%HL7v23Field%/00768
*/
	int attestation_dttm;
	/*design comment classification_type_cd 
:/%Description%/A primary classification of diagnosis.
/%Datatype%/IS
/%hxID%/637
/%HL7v23Field%/00766
*/
	int classification_type_cd;
	/*design comment confidential_ind 
:/%Description%/An indication that the diagnosis is confidential.
/%Datatype%/ID
/%hxID%/638
/%HL7v23Field%/00767
*/
	int confidential_ind;
	/*design comment desc 
:/%Description%/Free form description of the diagnosis.
/%hxID%/639
*/
	int desc;
	/*design comment determination_dttm 
:/%Description%/Date and time the diagnosis was determined.
/%hxID%/640
*/
	int determination_dttm;
	/*design comment diagnosis_cd 
:/%Description%/A unique identifier designating the diagnosis.
/%Datatype%/CE
/%hxID%/641
/%HL7v23Field%/00371, 00772
*/
	int diagnosis_cd;
	/*design comment diagnosis_onset_dttm 
:/%Description%/The date the decease indicated in the diagnosis became present in the patient.
/%Datatype%/TS
/%hxID%/642
/%HL7v23Field%/00379
*/
	int diagnosis_onset_dttm;
	/*design comment diagnosis_phase_cd 
:/%Description%/The diagnostic phase code.
/%hxID%/643
*/
	int diagnosis_phase_cd;
	/*design comment identification_cd 
:/%Description%/The diagnosis identification code.
/%Datatype%/ID
/%hxID%/644
/%HL7v23Field%/00376
*/
	int identification_cd;
	/*design comment relative_priority_nbr 
:/%Description%/The relative priority of the diagnosis.
/%Datatype%/NM
/%hxID%/645
/%HL7v23Field%/00389
*/
	int relative_priority_nbr;
	/*design comment rule_out_dttm 
:/%Description%/The data and time the diagnosis was ruled out.
/%hxID%/646
*/
	int rule_out_dttm;
	/*design comment ruled_out_reason_txt 
:/%Description%/The reason the diagnosis was ruled out.
/%hxID%/647
*/
	int ruled_out_reason_txt;
	/*design comment severity_cd 
:/%Description%/A code depicting the severity of the diagnosis.
/%hxID%/648
*/
	int severity_cd;
	/*design comment type_cd 
:/%Description%/A classification type of diagnosis (e.g., admitting, working, discharge, . . .).
/%Datatype%/IS
/%hxID%/649
/%HL7v23Field%/00380
*/
	int type_cd;
	};

#endif
