
#ifndef CLASS083_HPP
#define CLASS083_HPP
class Patient_encounter
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Patient_service_event class Patient_service_event <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/2035

*/
	/*design part Person_birth_event class Person_birth_event <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/2036

*/
	/*design assoc Appointment with Appointment <"is_scheduled_by (0,M)", "schedules (1,M)">
:/%Description%/
/%hxID%/1143

*/
	/*design assoc Patient with Patient <"involves (1,1)", "is_involved_in (1,M)">
:/%Description%/
/%hxID%/1140

*/
	/*design assoc Patient_diagnosis with Patient_diagnosis <"has_assigned_to_it (0,M)", "is_assigned_to (1,1)">
:/%Description%/
/%hxID%/1139

*/
	/*design assoc Patient_encounter with Patient_encounter <"precedes (0,1)", "follows (0,M)">
:/%Description%/
/%hxID%/1144

*/
	/*design assoc Patient_problem with Patient_problem <"involves (0,M)", "is_involved_in (1,M)">
:/%Description%/
/%hxID%/1141

*/
	/*design assoc Preauthorization with Preauthorization <"is_authorized_by (0,1)", "authorizes (1,M)">
:/%Description%/
/%hxID%/1142

*/

	/*design comment 
:/%Description%/An interaction between a patient and a Healthcare participant for the purpose of providing patient services or assessing the health status of a patient.
/%hxID%/123
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment administrative_outcome_txt 
:/%Description%/Type of further action, if any, planned as part of the care of the patient (e.g., appointment given, appointment to be given,  admission arranged, patient admitted, . . .).
/%hxID%/650
*/
	int administrative_outcome_txt;
	/*design comment cancellation_reason_cd 
:/%Description%/A code depicting the reason for cancellation of an encounter.
/%hxID%/651
*/
	int cancellation_reason_cd;
	/*design comment desc 
:/%Description%/A textual description of the patient encounter.
/%Datatype%/ST
/%hxID%/653
/%HL7v23Field%/00713
*/
	int desc;
	/*design comment encounter_classification_cd 
:/%Description%/A classification of a patient encounter.
/%Datatype%/IS
/%hxID%/654
/%HL7v23Field%/00187
*/
	int encounter_classification_cd;
	/*design comment end_dttm 
:/%Description%/The date and time that the patient encounter ends.
/%Datatype%/TS
/%hxID%/655
/%HL7v23Field%/00175
*/
	int end_dttm;
	/*design comment expected_insurance_plan_qty 
:/%Description%/A count of the number of insurance plans that may provide Healthcare benefit coverage for this patient encounter.
/%Datatype%/NM
/%hxID%/656
/%HL7v23Field%/00721
*/
	int expected_insurance_plan_qty;
	/*design comment first_similar_illness_dt 
:/%Description%/The date the patient first experienced a similar illness.  Used to determine pre-existing conditions
/%Datatype%/DT
/%hxID%/657
/%HL7v23Field%/00730
*/
	int first_similar_illness_dt;
	/*design comment follow_up_type_cd 
:/%Description%/A code indicating the type of follow-up required after completion of the patient encounter.
/%Datatype%/IS
/%hxID%/658
/%HL7v23Field%/00140
*/
	int follow_up_type_cd;
	/*design comment id 
:/%Description%/A unique identifier assigned to the patient encounter.
/%Datatype%/CX
/%hxID%/659
/%HL7v23Field%/00149, 00180
*/
	int id;
	/*design comment patient_classification_cd 
:/%Description%/A classification of the patient.
/%Datatype%/IS
/%hxID%/660
/%HL7v23Field%/00132, 00148
*/
	int patient_classification_cd;
	/*design comment priority_cd 
:/%Description%/A code depicting the relative priority of the patient encounter.
/%Datatype%/IS
/%hxID%/661
/%HL7v23Field%/00726
*/
	int priority_cd;
	/*design comment purpose_cd 
:/%Description%/A code depicting the purpose of the patient encounter.
/%hxID%/662
*/
	int purpose_cd;
	/*design comment record_signing_dttm 
:/%Description%/The data and time the documentation of the patient encounter is signed.
/%hxID%/663
*/
	int record_signing_dttm;
	/*design comment special_courtesies_ind 
:/%Description%/An indication as to whether or not the patient is to be extended special courtesies.
/%Datatype%/IS
/%hxID%/664
/%HL7v23Field%/00152
*/
	int special_courtesies_ind;
	/*design comment start_dttm 
:/%Description%/The date and time that the patient encounter begins.
/%hxID%/665
*/
	int start_dttm;
	/*design comment status_cd 
:/%Description%/A code depicting the status of the patient encounter.
/%Datatype%/IS
/%hxID%/666
/%HL7v23Field%/00725
*/
	int status_cd;
	/*design comment transport_requirement_cd 
:/%Description%/A code depicting the type of transportation required or arranged for the transport of the patient (e.g., stretcher, wheelchair, ambulance, taxi, . . .).
/%hxID%/667
*/
	int transport_requirement_cd;
	/*design comment urgency_cd 
:/%Description%/A code depicting the urgency of the patient encounter.
/%hxID%/668
*/
	int urgency_cd;
	};

#endif
