
#ifndef CLASS088_HPP
#define CLASS088_HPP
class Patient_service_event
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Clinical_document_header with Clinical_document_header <"is_document_by (0,M)", "documents (0,M)">
:/%Description%/
/%hxID%/4933

*/
	/*design assoc Clinical_observation with Clinical_observation <"may_result_in (0,M)", "may_occur_during (0,1)">
:/%Description%/

Rationale: Some observations (eg. those forwarded from other institutions) may come from "Service events" of no interest to the recipient.  The requirement that each observation have a Service Event should therefore be removed from the model.

OpenIssue: 
/%hxID%/3273

*/
	/*design assoc Financial_transaction with Financial_transaction <"is_associated_with (0,M)", "pertains_to (1,1)">
:/%Description%/
/%hxID%/1157

*/
	/*design assoc Pathway with Pathway <"is_required_by (0,M)", "requires (0,M)">
:/%Description%/
/%hxID%/4934

*/
	/*design assoc Patient_service_location with Patient_service_location <"is_performed_at (0,1)", "is_location_for (0,M)">
:/%Description%/

Rationale: support references to facilities in OBR; the parts of a pharmacy_service_event may be performed at several locations, which will be represented by  relationships from each of the parts.
/%hxID%/3272

*/
	/*design assoc Service_event_provider with Service_event_provider <"has_as_participant (1,M)", "is_participant_for (1,1)">
:/%Description%/
/%hxID%/4932

*/

	/*design comment 
:/%Description%/The rendering of a Healthcare service to a patient.



ISSUE: Should there be an Observation Service Event specialization Patient Service Event?
/%hxID%/132
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment attestation_dt 
:/%Description%/The date the service provider attests that the patient service was delivered as documented.
/%hxID%/721
*/
	int attestation_dt;
	/*design comment attestation_due_dt 
:/%Description%/The date attestation is due for this patient service.
/%hxID%/722
*/
	int attestation_due_dt;
	/*design comment begin_dttm 
:/%Description%/Date the patient service begins.  
/%Datatype%/TS
/%hxID%/723
/%HL7v23Field%/00241, 00345
*/
	int begin_dttm;
	/*design comment charge_to_practice_amt 
:/%Description%/Monetary amount for the charge to the ordering entitiy for the studies performed when applicable.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3109
/%HL7v23Field%/00256
*/
	int charge_to_practice_amt;
	/*design comment charge_to_practice_cd 
:/%Description%/Charge code for the charge to the ordering entitiy for the studies performed when applicable.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3110
/%HL7v23Field%/00256
*/
	int charge_to_practice_cd;
	/*design comment confidential_ind 
:/%Description%/indicates whether patient considers this procedure to be confidential.
/%hxID%/724
*/
	int confidential_ind;
	/*design comment consent_code 
:/%Description%/A code depicting the type of consent that was obtained for permission to treat the patient.  May not represent consent from the patient.
/%Datatype%/CE
/%hxID%/3111
/%HL7v23Field%/00403
*/
	int consent_code;
	/*design comment declined_ind 
:/%Description%/An indication that the patient service was declined.
/%hxID%/725
*/
	int declined_ind;
	/*design comment desc 
:/%Description%/Text that describes the service performed along with relevant details of the service.
/%hxID%/726
*/
	int desc;
	/*design comment end_dttm 
:/%Description%/The end date and time for the patient service.
/%Datatype%/TS
/%hxID%/727
/%HL7v23Field%/00242, 00346
*/
	int end_dttm;
	/*design comment filler_id 
:/%Description%/The patient service unique identifier   This is often assigned by the filler, but may be assigned by other processes. This attribute must use the EI datatype in all messages.
/%Datatype%/EI
/%hxID%/3112
/%HL7v23Field%/00217
*/
	int filler_id;
	/*design comment filler_order_status_cd 
:/%Description%/Status of the fulfillment of an order.   This status is originated by the filler. This is different from the status of the order itself, which is represented by ORC/ Order Control.  This is NOT a trigger event.

Rationale: represents the ORC order control code,  not the ORC Order Status (status of order fulfillment by the filler).

OpenIssue: 
/%Datatype%/ID
/%hxID%/3113
/%HL7v23Field%/00219
*/
	int filler_order_status_cd;
	/*design comment filler_order_status_dttm 
:/%Description%/Indicates the date and time that a status, as defined in Order Status, is entered or changed.  Note: Order Status represents the status of order fulfillment by the filler.  This is different from Order Control Code, which reflects the status of the order from the placer's viewpoint.

Rationale: to represent the use of this V2.3 field as the date and time of change in ORC/ order status.

OpenIssue: 
/%Datatype%/TS
/%hxID%/3114
/%HL7v23Field%/00255
*/
	int filler_order_status_dttm;
	/*design comment recurring_service_cd 
:/%Description%/A code indicating a recurring service and the nature of the recursion.
/%Datatype%/IS
/%hxID%/730
/%HL7v23Field%/00732
*/
	int recurring_service_cd;
	/*design comment results_status_cd 
:/%Description%/Status of results for this event.

Rationale: alignment with V2.3 name.  missing definition in RIM08.

OpenIssue: 
/%Datatype%/ID
/%hxID%/3115
/%HL7v23Field%/00258
*/
	int results_status_cd;
	/*design comment scheduled_start_dttm 
:/%Description%/The date the patient service is scheduled to begin.
/%Datatype%/TS
/%hxID%/731
/%HL7v23Field%/00268
*/
	int scheduled_start_dttm;
	/*design comment service_event_desc 
:/%Description%/A description of the service event.
/%hxID%/732
*/
	int service_event_desc;
	};

#endif
