
#ifndef CLASS089_HPP
#define CLASS089_HPP
class Patient_service_location
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_location" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Patient_service_location_slot class Patient_service_location_slot <"is scheduled by (0,m)", "is a scheduleable unit for (1,1)">
:/%Description%/
/%hxID%/5062

*/
	/*design assoc Location_encounter_role with Location_encounter_role <"has (0,M)", "pertains_to (1,1)">
:/%Description%/
/%hxID%/1161

*/
	/*design assoc Patient with Patient <"is_primary_facility_for (0,M)", "has_as_primary_facility (0,1)">
:/%Description%/
/%hxID%/1163

*/
	/*design assoc Patient_service_location with Patient_service_location <"is_included_in (0,1)", "includes (0,M)">
:/%Description%/
/%hxID%/1162

*/
	/*design assoc Patient_service_location_group with Patient_service_location_group <"belongs_to (0,M)", "contains (1,m)">
:/%Description%/
/%hxID%/4935

*/
	/*design assoc Patient_service_location_request with Patient_service_location_request <"is_requested_by (0,m)", "requests (1,1)">
:/%Description%/
/%hxID%/4936

*/
	/*design assoc Patient_service_order with Patient_service_order <"is_entry_location_for (0,m)", "is_entered_at (1,1)">
:/%Description%/

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%hxID%/3274

*/
	/*design assoc Treatment_service_dispense with Treatment_service_dispense <"receives (0,M)", "is_dispensed_to (1,1)">
:/%Description%/

Rationale: specify location for individual dispenses

OpenIssue: 
/%hxID%/3275

*/
	/*design assoc Treatment_service_give with Treatment_service_give <"receives_medication_dispense_recorded_on (0,M)", "records_dispense_to (1,1)">
:/%Description%/

Rationale: specify dispense location for individual give notices

OpenIssue: 
/%hxID%/3277

*/
	/*design assoc Treatment_service_order_revision with Treatment_service_order_revision <"receives_medication_delivery_specified_on (0,1)", "specifies_medication_delivery_to (0,1)">
:/%Description%/

Rationale: 

OpenIssue: Orders committee asked for this to be connected to the class "Patient_service_order_revision", but there is no such class in the model.
/%hxID%/3276

*/

	/*design comment 
:/%Description%/A place where patient services are delivered.
/%hxID%/133
/%PrimarySubjectArea%/RIM_Patient_service_location
*/
public:
private:
	/*design comment addr 
:/%Description%/Address of the location.
/%hxID%/733
*/
	int addr;
	/*design comment closing_dt 
:/%Description%/Closing date of the location.
/%hxID%/734
*/
	int closing_dt;
	/*design comment description 
:/%Description%/optional freetext description of the location

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/3116
/%HL7v23Field%/00944
*/
	int description;
	/*design comment email_address 
:/%Description%/the e-mail address for the patient location, if any.

Rationale: required by components of V2.3 field (XTN datatype)

OpenIssue: this is not a location oriented data item
/%Datatype%/XTN
/%hxID%/3117
/%HL7v23Field%/00949
*/
	int email_address;
	/*design comment id 
:/%Description%/A unique identifier of a patient care location.
/%Datatype%/PL
/%hxID%/4844
/%HL7v23Field%/00169, 00209, 00299, 00353
*/
	int id;
	/*design comment licensed_bed_qty 
:/%Description%/The number of licensed beds at the location.
/%hxID%/736
*/
	int licensed_bed_qty;
	/*design comment nm 
:/%Description%/name of the location.
/%hxID%/737
*/
	int nm;
	/*design comment opening_dt 
:/%Description%/Opening date of the location.
/%hxID%/738
*/
	int opening_dt;
	/*design comment phon 
:/%Description%/Phone at the location.
/%hxID%/739
*/
	int phon;
	/*design comment service_specialty_cd 
:/%Description%/The specialty code of the service.
/%hxID%/740
*/
	int service_specialty_cd;
	/*design comment status_cd 
:/%Description%/A code indicating the status of the location.
/%hxID%/741
*/
	int status_cd;
	/*design comment type_cd 
:/%Description%/A code indicating the type of patient care location (e.g., hospital, clinic, hospital ward, room, bed, . . .).
/%hxID%/742
*/
	int type_cd;
	};

#endif
