
#ifndef CLASS097_HPP
#define CLASS097_HPP
class Person_birth_event
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Person with Person <"pertains_to (1,1)", "has (0,1)">
:/%Description%/
/%hxID%/1176

*/

	/*design comment 
:/%Description%/The act or process of bearing or bringing forth offspring.  The information contained in this pertains to the newborn (not the mother.)
/%hxID%/4740
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment baby_detained_ind 
:/%Description%/An indication that the baby in a person birth event is detained after the mother's discharge.
/%Datatype%/ID
/%hxID%/797
/%HL7v23Field%/00738
*/
	int baby_detained_ind;
	/*design comment birth_certificate_id 
:/%Description%/A unique identifier assigned to a person's birth certificate.
/%hxID%/798
*/
	int birth_certificate_id;
	/*design comment birth_city_nm 
:/%Description%/The name of the city the birth took place in.
/%hxID%/799
*/
	int birth_city_nm;
	/*design comment birth_country_cd 
:/%Description%/A code depicting the country the birth occurred in.
/%hxID%/800
*/
	int birth_country_cd;
	/*design comment birth_method_cd 
:/%Description%/A code depicting the method of birth (e.g., cesarian, vaginal, forceps, . . .).
/%hxID%/801
*/
	int birth_method_cd;
	/*design comment birth_order_nbr 
:/%Description%/The ordinal position the person is born in a multiple-birth birth event.
/%Datatype%/NM
/%hxID%/802
/%HL7v23Field%/00128
*/
	int birth_order_nbr;
	/*design comment birth_recorded_county_cd 
:/%Description%/The county in which the person's birth record is recorded.
/%hxID%/803
*/
	int birth_recorded_county_cd;
	/*design comment birth_recorded_dt 
:/%Description%/The date the birth event was recorded.
/%hxID%/804
*/
	int birth_recorded_dt;
	/*design comment birth_state_cd 
:/%Description%/The state or province in which the birth event took place.
/%hxID%/805
*/
	int birth_state_cd;
	/*design comment delivery_dt 
:/%Description%/The delivery date of the birth event.
/%Datatype%/TS
/%hxID%/806
/%HL7v23Field%/00110
*/
	int delivery_dt;
	/*design comment multiple_birth_ind 
:/%Description%/An indication that the birth was a multiple birth event.
/%Datatype%/ID
/%hxID%/807
/%HL7v23Field%/00127
*/
	int multiple_birth_ind;
	/*design comment newborn_days_qty 
:/%Description%/The number of days in a patient encounter in which there is a person birth event that is allocated to the newborn.
/%hxID%/808
*/
	int newborn_days_qty;
	/*design comment stillborn_ind 
:/%Description%/An indication that the baby in the birth event was stillborn.
/%hxID%/809
*/
	int stillborn_ind;
	};

#endif
