
#ifndef CLASS099_HPP
#define CLASS099_HPP
class Preauthorization
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/An authorization for patient services by a third party prior to the delivery of the patient service.
/%hxID%/150
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment authorized_encounters_amt 
:/%Description%/The number of authorized encounters.
/%hxID%/924
*/
	int authorized_encounters_amt;
	/*design comment authorized_period_begin_dt 
:/%Description%/The date the authorized period begins.
/%hxID%/925
*/
	int authorized_period_begin_dt;
	/*design comment authorized_period_end_dt 
:/%Description%/The end date of the authorized period.
/%hxID%/926
*/
	int authorized_period_end_dt;
	/*design comment id 
:/%Description%/A unique identifier assigned to the pre authorization.

Rationale: IN1-28

OpenIssue: 
/%hxID%/4848
/%HL7v23Field%/00453
*/
	int id;
	/*design comment issued_dttm 
:/%Description%/The date and time the pre authorization is issued.
/%hxID%/928
*/
	int issued_dttm;
	/*design comment requested_dttm 
:/%Description%/The date and time the preauthorization was created.
/%hxID%/929
*/
	int requested_dttm;
	/*design comment restriction_desc 
:/%Description%/A description of restrictions associated with the preauthorization.
/%hxID%/930
*/
	int restriction_desc;
	/*design comment status_cd 
:/%Description%/A code depicting the status of a preauthorization.
/%hxID%/931
*/
	int status_cd;
	/*design comment status_change_dttm 
:/%Description%/The date and time of the last status change.
/%hxID%/932
*/
	int status_change_dttm;
	};

#endif
