
#ifndef CLASS101_HPP
#define CLASS101_HPP
class Problem
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Patient_clinical_pathway" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */
	/*design assoc Episode with Episode <"specified_in (0,1)", "specfies (0,m)">
:/%Description%/
/%hxID%/4944

*/
	/*design assoc Master_problem with Master_problem <"is_an_instance_of (1,1)", "is_instanciated_as (0,M)">
:/%Description%/
/%hxID%/4943

*/
	/*design assoc Patient_problem with Patient_problem <"is_a (1,1)", "is_a (0,1)">
:/%Description%/
/%hxID%/4942

*/

	/*design comment 
:/%Description%/A problem addressed by a patient pathway.
/%hxID%/4741
/%PrimarySubjectArea%/RIM_Patient_clinical_pathway
*/
public:
private:
	/*design comment action_cd 
:/%Description%/Event reason for including the problem

Rationale: 

OpenIssue: 
/%hxID%/4849
/%HL7v23Field%/00816
*/
	int action_cd;
	/*design comment action_dttm 
:/%Description%/Event date time

Rationale: 

OpenIssue: 
/%hxID%/4850
/%HL7v23Field%/00817
*/
	int action_dttm;
	/*design comment actual_resolution_dttm 
:/%Description%/The date the patient problem is resolved.
/%hxID%/4851
*/
	int actual_resolution_dttm;
	/*design comment classification_cd 
:/%Description%/A code used to categorize the patient problem.
/%hxID%/4852
*/
	int classification_cd;
	/*design comment confirmation_status_cd 
:/%Description%/A code depicting the level of verification for the patient problem (e.g., confirmed, differential, provisional, rule-out, . . .).
/%hxID%/4853
*/
	int confirmation_status_cd;
	/*design comment established_dttm 
:/%Description%/Date time the problem was documented and thus established as a problem

Rationale: Conformance with 2.3

OpenIssue: 
/%hxID%/4854
/%HL7v23Field%/00842
*/
	int established_dttm;
	/*design comment estimated_resolution_dttm 
:/%Description%/The estimated date and time of the patient problem resolution.
/%hxID%/4855
*/
	int estimated_resolution_dttm;
	/*design comment family_awareness_desc 
:/%Description%/An indication of the patient's family or significant other's comprehension of the actual problem/prognosis.
/%hxID%/4856
*/
	int family_awareness_desc;
	/*design comment id 
:/%Description%/A unique identifier assigned to the patient problem.
/%hxID%/4857
*/
	int id;
	/*design comment individual_awareness_cd 
:/%Description%/A indication of the patient's comprehension of the problem.
/%hxID%/4858
*/
	int individual_awareness_cd;
	/*design comment life_cycle_status_dttm 
:/%Description%/The effective data and time of the current problem status.
/%hxID%/4859
*/
	int life_cycle_status_dttm;
	/*design comment lifecycle_status_cd 
:/%Description%/A code depicting the current status of the problem (e.g., active, active-improving, active-stable, active-worsening, inactive, resolved, . . .).
/%hxID%/4860
*/
	int lifecycle_status_cd;
	/*design comment managment_discipline_cd 
:/%Description%/A code depicting the caregiver discipline responsible for managing the patient problem.
/%hxID%/4861
*/
	int managment_discipline_cd;
	/*design comment onset_desc 
:/%Description%/A textual description of when the problem began.
/%hxID%/4862
*/
	int onset_desc;
	/*design comment onset_dttm 
:/%Description%/The date/time the patient problem began.
/%hxID%/4863
*/
	int onset_dttm;
	/*design comment persistence_cd 
:/%Description%/A textual description of the perseverance of a master problem.
/%hxID%/4864
*/
	int persistence_cd;
	/*design comment probability_pct 
:/%Description%/A quantitative numerical representation of the certainty that the problem exist for the patient.
/%hxID%/4865
*/
	int probability_pct;
	/*design comment problem_certainty_txt 
:/%Description%/A qualitative representation of the certainty of the problem (e.g., high, medium, low, . . .).
/%hxID%/4866
*/
	int problem_certainty_txt;
	/*design comment problem_list_priority_num 
:/%Description%/Priority of the problem within the scope of the entire problem list.

Rationale: Conformance with 2.3

OpenIssue: 
/%hxID%/4867
/%HL7v23Field%/00841
*/
	int problem_list_priority_num;
	/*design comment prognosis_awareness_desc 
:/%Description%/A indication of the patient's awareness of the prognosis for the problem.
/%hxID%/4868
*/
	int prognosis_awareness_desc;
	/*design comment prognosis_desc 
:/%Description%/A textual description of the prognosis for a patient problem.
/%hxID%/4869
*/
	int prognosis_desc;
	/*design comment ranking_desc 
:/%Description%/Prioritization of the problem (e.g., numeric ranking or the use of words such as primary, secondary, . . .).
/%hxID%/4870
*/
	int ranking_desc;
	/*design comment sensitivity_cd 
:/%Description%/A code depicting the level of security or sensitivity surrounding the problem.
/%hxID%/4871
*/
	int sensitivity_cd;
	};

#endif
