
#ifndef CLASS102_HPP
#define CLASS102_HPP
#include "Class088.hpp"
class Procedure: public Patient_service_event
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/A therapeutic or diagnostic intervention employed in response to a patient condition.
/%hxID%/153
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment anaesthesia_cd 
:/%Description%/A code identifying the anaesthesia used in a procedure.
/%Datatype%/IS
/%hxID%/938
/%HL7v23Field%/00399
*/
	int anaesthesia_cd;
	/*design comment anesthesia_minutes_qty 
:/%Description%/A count of the anesthesia minutes involved in the procedure.
/%Datatype%/NM
/%hxID%/939
/%HL7v23Field%/00400
*/
	int anesthesia_minutes_qty;
	/*design comment delay_reason_txt 
:/%Description%/The reason for delay of the surgery patient service.
/%hxID%/940
*/
	int delay_reason_txt;
	/*design comment incision_closed_dttm 
:/%Description%/The data and time of the closing incision of the surgery patient service.
/%hxID%/943
*/
	int incision_closed_dttm;
	/*design comment incision_open_dttm 
:/%Description%/The data and time of the opening incision of the surgery patient service.
/%hxID%/944
*/
	int incision_open_dttm;
	/*design comment priority_number 
:/%Description%/A number indicating the relative priority of the procedure to all other procedures provided in this encounter.
/%Datatype%/NM
/%hxID%/3142
/%HL7v23Field%/00404
*/
	int priority_number;
	/*design comment procedure_cd 
:/%Description%/A code used to identify a procedure.
/%Datatype%/CE
/%hxID%/946
/%HL7v23Field%/00393
*/
	int procedure_cd;
	/*design comment procedure_dttm 
:/%Description%/The date/time of the procedure.
/%Datatype%/TS
/%hxID%/947
/%HL7v23Field%/00395
*/
	int procedure_dttm;
	/*design comment procedure_functional_type_cd 
:/%Description%/A code identifying the functional type of the procedure.
/%Datatype%/IS
/%hxID%/948
/%HL7v23Field%/00396
*/
	int procedure_functional_type_cd;
	/*design comment procedure_minute_qty 
:/%Description%/The length of the procedure, measured in minutes.
/%Datatype%/NM
/%hxID%/949
/%HL7v23Field%/00397
*/
	int procedure_minute_qty;
	};

#endif
