
#ifndef CLASS111_HPP
#define CLASS111_HPP
class Service_request
	{
	/*design in subject "COI_C047_Orders_Observations" */
	/*design in subject "COI_C12_Patient_care" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Scheduling" */
	/*design in subject "STW_C10_Inter_enterprise" */

	/*design comment 
:/%Description%/Request information about various kinds of services that are controlled by a schedule.

Rationale: Currently in 2.3

OpenIssue: Should services be handled separately from resources?  Make certin that resource requests for scheduling are different from ordered service requests in Orders.
/%hxID%/4748
/%PrimarySubjectArea%/RIM_Scheduling
*/
public:
private:
	/*design comment allowable_substitutions_cd 
:/%Description%/A code indicating whether the identified service can be substituted with an equivalent service.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4889
/%HL7v23Field%/00895
*/
	int allowable_substitutions_cd;
	/*design comment duration_qty 
:/%Description%/The duration for which the service is requested for this appointment, if it is different than the overall duration of the appointment

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4890
/%HL7v23Field%/00893
*/
	int duration_qty;
	/*design comment start_dttm 
:/%Description%/Date and time this service is requested for the appointment.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4891
/%HL7v23Field%/01202
*/
	int start_dttm;
	/*design comment start_offset_qty 
:/%Description%/The offset that this service is requested for the appointment, expressed in units of time relative to the scheduled start date/time of the appointment.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4892
/%HL7v23Field%/00891
*/
	int start_offset_qty;
	/*design comment status_cd 
:/%Description%/A code that describes the request status of scheduling a service, from the point of view of the filler application.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4893
/%HL7v23Field%/00889
*/
	int status_cd;
	};

#endif
