
#ifndef CLASS115_HPP
#define CLASS115_HPP
class Stakeholder_identifier
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Stakeholder" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Stakeholder with Stakeholder <"is_assigned_to (1,1)", "is_assigned (0,M)">
:/%Description%/
/%hxID%/1193

*/

	/*design comment 
:/%Description%/A unique identifier assigned to a person or organization.
/%hxID%/164
/%PrimarySubjectArea%/RIM_Stakeholder
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The effective date of the identifier.
/%hxID%/1019
*/
	int effective_dt;
	/*design comment identification_txt 
:/%Description%/A unique identifier assigned to a stakeholder.
/%Datatype%/XON
/%hxID%/1020
/%HL7v23Field%/00105, 00106, 00107, 00109, 00122, 00123, 00161, 00190, 00201, 00211, 00212, 00214, 00224, 00225, 00226, 00231, 00233, 00244, 00260, 00264, 00265, 00266, 00267, 00305, 00306, 00341, 00352, 00367, 00372, 00373, 00402, 00406, 00416, 00423, 00428, 00433, 00435, 00472, 00473, 00475, 00481, 00496, 00497, 00583, 00584, 00590, 00765, 00780, 00801, 00810
*/
	int identification_txt;
	/*design comment identifier_assigning_facility_name 
:/%Description%/name of the facility responsible for assigning a particular stakeholder identifier

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XCN
/%hxID%/3149
/%HL7v23Field%/00390
*/
	int identifier_assigning_facility_name;
	/*design comment identifier_assigning_facility_UID_txt 
:/%Description%/Universal Identifier (UID) for the stakeholder identifier assigning facility.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XCN
/%hxID%/3150
/%HL7v23Field%/00509
*/
	int identifier_assigning_facility_UID_txt;
	/*design comment identifier_assigning_facility_uid_type_txt 
:/%Description%/The one of the specifically enumerated schemes for constructing UIDs to which the UID for the assigning facility for the stankholder identifier belongs.  The UID must follow the syntactic rules of the particular universal identifier scheme (defined by the UID type).

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XCN
/%hxID%/3151
/%HL7v23Field%/00504
*/
	int identifier_assigning_facility_uid_type_txt;
	/*design comment identifier_check_digit_txt 
:/%Description%/A check digit assigned to the identifier based upon the identification text and the check digit scheme.
/%hxID%/1021
*/
	int identifier_check_digit_txt;
	/*design comment identifier_check_digit_type_cd 
:/%Description%/A code identifying the check digit scheme used for the identifier check digit.
/%hxID%/1022
*/
	int identifier_check_digit_type_cd;
	/*design comment identifier_coding_system_name 
:/%Description%/name of the coding system for a particular stakeholder identifier

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3152
/%HL7v23Field%/00367
*/
	int identifier_coding_system_name;
	/*design comment identifier_source_table 
:/%Description%/User defined table which is the source for the stakeholder identifier.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XCN
/%hxID%/3153
/%HL7v23Field%/00390
*/
	int identifier_source_table;
	/*design comment identifier_type_cd 
:/%Description%/A code identifying the type of identifier.
/%hxID%/1023
*/
	int identifier_type_cd;
	/*design comment issued_dt 
:/%Description%/Date the identifier is issued.
/%hxID%/1024
*/
	int issued_dt;
	/*design comment qualifying_information_txt 
:/%Description%/information used to limit the applicability of a stakeholder identifier, such as the state or province in which the identifier is valid.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3154
/%HL7v23Field%/00690
*/
	int qualifying_information_txt;
	/*design comment source_table 
:/%Description%/User defined table which is the source for the stakeholder identifier.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XCN
/%hxID%/3155
/%HL7v23Field%/00138
*/
	int source_table;
	/*design comment termination_dt 
:/%Description%/The date the identification is no longer in effect.
/%hxID%/1025
*/
	int termination_dt;
	};

#endif
