
#ifndef CLASS117_HPP
#define CLASS117_HPP
class Treatment_service_administration
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Pharmacy_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Treatment_service_give with Treatment_service_give <"references (1,1)", "is_referenced_on (0,M)">
:/%Description%/
/%hxID%/3286

*/

	/*design comment 
:/%Description%/Actual route of the administration of medication as part of a pharmacy treatment.
/%hxID%/4004
/%PrimarySubjectArea%/RIM_Pharmacy_service_event
*/
public:
private:
	/*design comment actual_administration_PTcomp 
:/%Description%/Specification for one component of the administered medication or treatment.  

Rationale: 

OpenIssue: 
/%Datatype%/PTcomp
/%hxID%/3157
/%HL7v23Field%/00316
*/
	int actual_administration_PTcomp;
	/*design comment actual_administration_PTrout 
:/%Description%/The device used to administer the medication.
/%Datatype%/PTrout
/%hxID%/3158
/%HL7v23Field%/00311
*/
	int actual_administration_PTrout;
	/*design comment administered_rate_txt 
:/%Description%/The rate at which this medication was administered.

Rationale: V2.3 field is ST datatype; Steward agreed that "rate" is a better understood term than "per_time_unit".
/%Datatype%/ST
/%hxID%/3161
/%HL7v23Field%/00354
*/
	int administered_rate_txt;
	/*design comment administration_begin_dttm 
:/%Description%/If the order is for a continuous administration (such as an IV), and the rate is changed at a certain time after the start, a new pharmacy service administration is created when the rate changes.  This field records the time the rate was changed.

Rationale: to record begin times of individual administrations during a service event

OpenIssue: 
/%Datatype%/TS
/%hxID%/3162
/%HL7v23Field%/00345
*/
	int administration_begin_dttm;
	/*design comment administration_counter_qty 
:/%Description%/A count of the number of times the medication is administered.

Rationale: removes possible misinterpretation as quantity administered.
/%Datatype%/NM
/%hxID%/3163
/%HL7v23Field%/00344
*/
	int administration_counter_qty;
	/*design comment administration_end_dttm 
:/%Description%/The date and time the medication administration ended.  If null, the administration is assumed to be of no material length (ie. date/time start of administration is assumed to be date/time end of administration as well).

Rationale: to record ending times of individual administrations during a service event

OpenIssue: 
/%Datatype%/TS
/%hxID%/3164
/%HL7v23Field%/00346
*/
	int administration_end_dttm;
	/*design comment completion_status_cd 
:/%Description%/Status of treatment administration event

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3165
/%HL7v23Field%/01223
*/
	int completion_status_cd;
	/*design comment Indication_code 
:/%Description%/This field contains the identifier of the condition or problem for which the drug/treatment was prescribed.  

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3166
/%HL7v23Field%/01123
*/
	int Indication_code;
	/*design comment notes_from_administration_cd 
:/%Description%/Free text notes from the provider administering the medication.

Rationale: CE datatype in V2.3.  alignment with V2.3 language. administration notes appears in two different V2.3 segments, with different meanings.  this naming differentiates between the two meanings.
/%Datatype%/CE
/%hxID%/3167
/%HL7v23Field%/00351
*/
	int notes_from_administration_cd;
	/*design comment substance_expiration_dttm 
:/%Description%/the expiration date of the medical substance 

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3168
/%HL7v23Field%/01130
*/
	int substance_expiration_dttm;
	/*design comment substance_lot_number_txt 
:/%Description%/This field contains the lot number of the medical substance.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/3169
/%HL7v23Field%/01129
*/
	int substance_lot_number_txt;
	/*design comment substance_manufacturer_cd 
:/%Description%/This field contains the manufacturer of the medical substance administered

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3170
/%HL7v23Field%/01131
*/
	int substance_manufacturer_cd;
	/*design comment substance_refusal_reason_cd 
:/%Description%/This field contains the reason the patient refused the medical substance.  Any entry in the field indicates that the patient did not take the substance

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3171
/%HL7v23Field%/01136
*/
	int substance_refusal_reason_cd;
	/*design comment substitution_cd 
:/%Description%/A code indicating the medication was a substitution for the one ordered.
/%hxID%/3172
*/
	int substitution_cd;
	/*design comment system_entry_dttm 
:/%Description%/Date/time the administration information was entered into the source system.  This field is used to detect instances where treatment administration information is inadvertently entered multiple times by providing a unique identification field.  Under usual circumstances, this field would be provided automatically by the computer system rather than being entered by a person

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3173
/%HL7v23Field%/01225
*/
	int system_entry_dttm;
	};

#endif
